﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx;
using Styx.Helpers;
using Styx.CommonBot;
using Styx.CommonBot.Routines;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using System.Text;
using System.IO;
using System.Drawing;
using Styx.Common;
using System.Windows.Forms;

namespace ProfileBuilder
{
    class GrindPoint
    {
        public string MobName;
        public float X, Y, Z;
        public int level;
        public int entry;
        public CheckBox c = new CheckBox();
        

        public GrindPoint(WoWUnit c)
        {
            this.MobName = c.Name;
            this.X = c.Location.X;
            this.Y = c.Location.Y;
            this.Z = c.Location.Z;
            this.level = (int)c.Level;
            this.entry = (int)c.Entry;

        }

        public string Name
        {
            get { return MobName; }
            set { MobName = value; }
        }

        public int Level
        {
            get { return level; }
            set { level = value; }
        }

        public float x
        {
            get { return X; }
            set { X = value; }
        }

        public float y
        {
            get { return Y; }
            set { Y = value; }
        }

        public float z
        {
            get { return Z; }
            set { Z = value; }
        }        

        public string BuildString()
        {
            return "<Hotspot  X=\"" + X + "\" Y=\"" + Y + "\" Z=\"" + Z + "\" />";
        }

        public string BuildVendorString()
        {
            return "<Vendor Name=\"" + MobName + "\" Entry=\"" + entry + "\" Type=\"" + "Repair" + "\" X=\"" + X + "\" Y=\"" + Y + "\" Z=\"" + Z + "\" />";
        }
    }
}
